## flatpak-xdg-utils 1.0.6

=== meson_options.txt ===
option('installed_tests',
       type : 'boolean',
       value : false,
       description : 'enable installed tests')

## flatpak-xdg-utils 1.0.0

=== debian/changelog ===
flatpak-xdg-utils (1.0.0-1) unstable; urgency=medium

  * Initial release (Closes: #919299)

 -- Simon McVittie <smcv@debian.org>  Fri, 18 Jan 2019 10:29:06 +0000

=== debian/control ===
Source: flatpak-xdg-utils
Section: admin
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Simon McVittie <smcv@debian.org>,
Build-Depends:
 dbus <!nocheck>,
 debhelper-compat (= 12),
 libglib2.0-dev,
 meson (>= 0.46.0),
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://github.com/flatpak/flatpak-xdg-utils
Vcs-Git: https://salsa.debian.org/debian/flatpak-xdg-utils.git
Vcs-Browser: https://salsa.debian.org/debian/flatpak-xdg-utils

Package: flatpak-xdg-utils
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Suggests:
 default-dbus-session-bus | dbus-session-bus,
 xdg-desktop-portal,
Description: xdg-open and xdg-email reimplementation for containerized apps
 Applications running in a Flatpak sandbox cannot normally launch arbitrary
 subprocesses outside the container to open files and URLs. This
 package provides reimplementations of the standard xdg-open(1) and
 xdg-email(1) command-line tools intended to be run inside the container.
 They use the D-Bus session bus to communicate with the xdg-desktop-portal
 service outside the container.
 .
 To avoid conflicting with the standard xdg-utils package, these tools
 are installed in /usr/libexec/flatpak-xdg-utils. This directory can be
 added to the PATH when preparing a container, or used as a target for
 container-specific symbolic links in /usr/bin.
 .
 This package also contains flatpak-spawn, which can be used by Flatpak
 applications to launch processes outside the container. Unprivileged
 applications can use this mechanism to launch a helper tool such as a
 thumbnailer in a version of their sandbox with more restrictive
 permissions, and specially-privileged applications with the 'devel' flag
 (such as GNOME Builder) can use this mechanism to bypass the sandbox and
 run commands on the host system.
 .
 This package is normally only useful if you are using Debian packages to
 construct a Flatpak runtime or a similar container, and should not be
 installed on a normal Debian desktop system. On desktop systems please
 install the reference implementation of the xdg-open and xdg-email tools,
 which can be found in the xdg-utils package.
 .
 If this package is installed in a non-Flatpak environment for testing,
 it will require the dbus-session-bus and xdg-desktop-portal packages
 (which would not be useful to install in a container).

Package: flatpak-xdg-utils-tests
Architecture: any
Multi-Arch: foreign
Depends:
 dbus,
 flatpak-xdg-utils,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 gnome-desktop-testing,
Description: as-installed tests for flatpak-xdg-utils
 flatpak-xdg-utils provides reimplementations of the standard xdg-open(1)
 and xdg-email(1) command-line tools intended to be run inside a Flatpak
 container. They use the D-Bus session bus to communicate with the
 xdg-desktop-portal service outside the container
 .
 This package contains as-installed tests, for use with autopkgtest and
 similar frameworks. They use a mock implementation of xdg-desktop-portal.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-O1
export LC_ALL=C.UTF-8

include /usr/share/dpkg/default.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--bindir=/usr/libexec/flatpak-xdg-utils \
		--libexecdir=/usr/libexec \
		-Dinstalled_tests=true \
		$(NULL)

override_dh_missing:
	dh_missing --fail-missing

## flatpak-xdg-utils 1.0.1

=== debian/changelog ===
flatpak-xdg-utils (1.0.1-2) unstable; urgency=medium

  * d/p/xdg-email-xdg-open-Terminate-GOptionEntry-array-correctly.patch:
    Add proposed patch to fix crashes on some architectures

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Nov 2019 18:53:04 +0000

flatpak-xdg-utils (1.0.1-1) unstable; urgency=medium

  * New upstream release
    - Drop all patches, applied upstream
  * d/salsa-ci.yml: Request standard CI on salsa.debian.org
  * Remove redundant --libexecdir=/usr/libexec since this is the default
    at debhelper compat level 12
  * Standards-Version: 4.4.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Nov 2019 08:34:44 +0000

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libglib2.0-dev,
  meson (>= 0.46.0),
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/flatpak/flatpak-xdg-utils
 Vcs-Git: https://salsa.debian.org/debian/flatpak-xdg-utils.git
 Vcs-Browser: https://salsa.debian.org/debian/flatpak-xdg-utils

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,6 @@
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--bindir=/usr/libexec/flatpak-xdg-utils \
-		--libexecdir=/usr/libexec \
 		-Dinstalled_tests=true \
 		$(NULL)

## flatpak-xdg-utils 1.0.2

=== debian/changelog ===
flatpak-xdg-utils (1.0.2-1) unstable; urgency=medium

  * New upstream release
    - Drop patch, applied upstream
  * Set upstream metadata fields: Repository.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Standards-Version: 4.5.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sun, 16 Aug 2020 17:13:55 +0100

## flatpak-xdg-utils 1.0.4

=== debian/changelog ===
flatpak-xdg-utils (1.0.4-1) unstable; urgency=medium

  * New upstream release
    - In flatpak-spawn, close fds after they have been forwarded

 -- Simon McVittie <smcv@debian.org>  Fri, 09 Oct 2020 08:52:05 +0100

flatpak-xdg-utils (1.0.3-1) unstable; urgency=medium

  * New upstream release
    - Better compatibility with xdg-desktop-portal 1.8.0

 -- Simon McVittie <smcv@debian.org>  Mon, 05 Oct 2020 13:11:14 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  libglib2.0-dev,
  meson (>= 0.46.0),
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/flatpak/flatpak-xdg-utils
 Vcs-Git: https://salsa.debian.org/debian/flatpak-xdg-utils.git
 Vcs-Browser: https://salsa.debian.org/debian/flatpak-xdg-utils

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -Wl,-O1
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1
 export LC_ALL=C.UTF-8
 
 include /usr/share/dpkg/default.mk

## flatpak-xdg-utils 1.0.5

=== debian/changelog ===
flatpak-xdg-utils (1.0.5-3) unstable; urgency=medium

  * Depend on dbus-daemon for tests, not dbus.
    The tests start their own mock session dbus-daemon, and do not need
    the standard session or system bus.

 -- Simon McVittie <smcv@debian.org>  Thu, 08 Dec 2022 10:39:09 +0000

flatpak-xdg-utils (1.0.5-2) unstable; urgency=medium

  * d/watch: Adapt to Github website changes
  * d/p/flatpak-spawn-Fix-memory-leak-when-receiving-NameOwnerCha.patch:
    Add patch from upstream to fix a memory leak
  * d/p/Show-permission-hint-for-flatpk-spawn-host-60.patch:
    Add patch from upstream to show a hint about permissions when
    appropriate
  * Standards-Version: 4.6.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sat, 12 Nov 2022 17:53:41 +0000

flatpak-xdg-utils (1.0.5-1) unstable; urgency=medium

  * New upstream release
    - Fix xdg-email attachment passing
    - Fix leaks
    - New flatpak-spawn features: --app-path, --usr-path, --unset-env,
      --env-fd, --share-pid
    - flatpak-spawn --sandbox-expose-path now tries to normalize paths
      to work better with portals
  * Standards-Version: 4.6.0 (no changes required)
  * Use debhelper compat level 13, drop dh_missing override

 -- Simon McVittie <smcv@debian.org>  Fri, 11 Feb 2022 10:18:54 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders:
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
- dbus <!nocheck>,
- debhelper-compat (= 12),
+ dbus-daemon <!nocheck>,
+ debhelper-compat (= 13),
  libglib2.0-dev,
  meson (>= 0.46.0),
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/flatpak/flatpak-xdg-utils
 Vcs-Git: https://salsa.debian.org/debian/flatpak-xdg-utils.git
 Vcs-Browser: https://salsa.debian.org/debian/flatpak-xdg-utils
@@ -59,7 +59,7 @@
 Architecture: any
 Multi-Arch: foreign
 Depends:
- dbus,
+ dbus-daemon,
  flatpak-xdg-utils,
  ${misc:Depends},
  ${shlibs:Depends},

=== debian/tests/control ===
Tests: gnome-desktop-testing
Depends:
 flatpak-xdg-utils-tests,
 gnome-desktop-testing,

## flatpak-xdg-utils 1.0.6

=== debian/changelog ===
flatpak-xdg-utils (1.0.6-2) unstable; urgency=medium

  * Normalize packaging (debputy reformat)
  * d/watch: Update to uscan format v5
  * Standards-Version: 4.7.2 (no changes required)
  * Use dpkg build API v1
  * Remove Rules-Requires-Root, unnecessary since Debian 13
  * d/salsa-ci.yml: Use recommended recipe

 -- Simon McVittie <smcv@debian.org>  Wed, 29 Oct 2025 13:59:27 +0000

flatpak-xdg-utils (1.0.6-1) unstable; urgency=medium

  * New upstream release
    - Drop patches, applied upstream
  * d/gbp.conf: Use debian/latest as packaging branch
  * d/gbp.conf: Use default compression
  * d/copyright: Update
  * Standards-Version: 4.7.0 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Tue, 03 Sep 2024 15:02:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,17 @@
 Source: flatpak-xdg-utils
+X-Style: black
 Section: admin
 Priority: optional
 Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders:
  Simon McVittie <smcv@debian.org>,
 Build-Depends:
+ debhelper-compat (= 13),
  dbus-daemon <!nocheck>,
- debhelper-compat (= 13),
+ dpkg-build-api (= 1),
  libglib2.0-dev,
  meson (>= 0.46.0),
-Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/flatpak/flatpak-xdg-utils
 Vcs-Git: https://salsa.debian.org/debian/flatpak-xdg-utils.git
 Vcs-Browser: https://salsa.debian.org/debian/flatpak-xdg-utils

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,3 @@
 		--bindir=/usr/libexec/flatpak-xdg-utils \
 		-Dinstalled_tests=true \
 		$(NULL)
-
-override_dh_missing:
-	dh_missing --fail-missing

=== debian/tests/control ===
Tests:
 gnome-desktop-testing,
Depends:
 flatpak-xdg-utils-tests,
 gnome-desktop-testing,

=== debian/watch ===
Version: 5

# Upstream releases official tarballs, so we use those in preference to git tags
Source: https://github.com/flatpak/@PACKAGE@/tags
Matching-Pattern: .*/releases/tag/v?@ANY_VERSION@
Compression: xz
Download-Url-Mangle: s#/tag/#/download/#;s#(v?@ANY_VERSION@)$#$1/@PACKAGE@-$2.tar.xz#
Dversion-Mangle: s/\+(?:git)?[0-9]*(?:\+g[0-9a-f]*)//
Filename-Mangle: s#v?@ANY_VERSION@#@PACKAGE@-$1.tar.xz#
